<div *ngIf = "hero">
    <h2>{{hero.name | uppercase}} details</h2>
    <div>id: {{hero.id}} </div>
    <div>
        <label>
            name:
            <input [(ngModel)] = "hero.name" placeholder = "name"/>
        </label>   
    </div> 
    <span>
        <button (click)= "goBack()">Go Back</button>
        <button (click) = "save()"> Save</button>
    </span>

</div>